package com.lanren.huhu.partner.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lanren.huhu.partner.domain.PartnerInviteRelation;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;

@Mapper
public interface PartnerInviteRelationMapper extends BaseMapper<PartnerInviteRelation> {
    int updateBatch(List<PartnerInviteRelation> list);

    int batchInsert(@Param("list") List<PartnerInviteRelation> list);

    int insertOrUpdate(PartnerInviteRelation record);

    int insertOrUpdateSelective(PartnerInviteRelation record);

    @SelectProvider(type = PartnerInviteRelationSqlProvider.class, method = "getPartnerInviteRelationListByRegDay")
    List<PartnerInviteRelation> getPartnerInviteRelationListByRegDay(String datStr);
}