package com.lanren.huhu.partner.service;

import com.lanren.huhu.partner.domain.PartnerInviteRelation;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
/**
 * @title: ${NAME}
 * @projectName partner
 * @description: 合伙人邀请关系
 * @author chen
 * @package ${PACKAGE_NAME}
 * @date 2019-07-08 16:02
 */
public interface PartnerInviteRelationService extends IService<PartnerInviteRelation>{


    int updateBatch(List<PartnerInviteRelation> list);

    int batchInsert(List<PartnerInviteRelation> list);

    int insertOrUpdate(PartnerInviteRelation record);

    int insertOrUpdateSelective(PartnerInviteRelation record);

    /**
     * 根据日期查找新增用户
     * @param datStr
     * @return
     */
    List<PartnerInviteRelation> getPartnerInviteRelationListByRegDay(String datStr);
}
